
QGIS Application - Bug report #15635

globe plugin should be built as a MODULE

2016-09-28 06:32 PM - William Kyngesburye

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.7(master) Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23558

Description

Commit commit:90887f4 (src/plugins/globe/cmakelists.txt) changed the linking from a MODULE type to a SHARED type.  It should be

MODULE.  This is important on OS X since it differentiates between the two with a different file extension - .dylib for shared vs. .so for

module.  And the QGIS plugin loader only looks for .so files on OS X to load.

Affects both 2.16 branch and master.  But not 2.14 branch.

Associated revisions

Revision 7038222a - 2019-03-18 08:51 PM - Jürgen Fischer

fix #15635

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.
We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

#4 - 2019-03-09 04:09 PM - William Kyngesburye

- Affected QGIS version changed from 2.16.3 to 3.7(master)

- Resolution deleted (end of life)

- Easy fix? changed from No to Yes

- Status changed from Closed to Reopened

- Description updated

#5 - 2019-03-09 04:13 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Easy fix? changed from Yes to No

The code for globe is there... but is general opinion that it is not a thing anymore in QGIS 3 (in fact is not part of the installers).

#6 - 2019-03-09 04:42 PM - William Kyngesburye

yes, I had problems trying to get it compiled for 3.x on Mac and skipped it for the installers.  But it's in the source.  If it won't be maintained, or is in an

eternal experimental state, maybe globe should be removed from the source.

#7 - 2019-03-09 04:44 PM - Giovanni Manghi

William Kyngesburye wrote:

yes, I had problems trying to get it compiled for 3.x on Mac and skipped it for the installers.  But it's in the source.  If it won't be maintained, or is in

an eternal experimental state, maybe globe should be removed from the source.

Better to raise this issue in the developers mailing list.

#8 - 2019-03-18 09:47 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|7038222a4c8b2cf09ede7bb68cc46efe313d33f8.
